Bug 963947 - [abrt] geany-1.23-1.fc18: gtk_tree_store_iter_parent: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
[abrt] geany-1.23-1.fc18: gtk_tree_store_iter_parent: Process /usr/bin/geany ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:23d5f983e4ddc9719768b0a2557...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 16:36 EDT by Miro Hrončok
Modified: 2014-08-05 22:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 10:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.97 KB, text/plain)
2013-05-16 16:37 EDT, Miro Hrončok
no flags Details
File: cgroup (133 bytes, text/plain)
2013-05-16 16:37 EDT, Miro Hrončok
no flags Details
File: core_backtrace (3.57 KB, text/plain)
2013-05-16 16:38 EDT, Miro Hrončok
no flags Details
File: dso_list (10.40 KB, text/plain)
2013-05-16 16:38 EDT, Miro Hrončok
no flags Details
File: environ (1.99 KB, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: maps (49.76 KB, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: open_fds (407 bytes, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: var_log_messages (327 bytes, text/plain)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details
File: xsession_errors (34.67 KB, application/octet-stream)
2013-05-16 16:39 EDT, Miro Hrončok
no flags Details

  None (edit)
Description Miro Hrončok 2013-05-16 16:36:03 EDT
Version-Release number of selected component:
geany-1.23-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        geany '/home/churchyard/Sta\xc5\xbeen\xc3\xa9/kuceran3/progtest.tex'
crash_function: gtk_tree_store_iter_parent
executable:     /usr/bin/geany
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_store_iter_parent at gtktreestore.c:722
 #1 openfiles_remove at sidebar.c:489
 #2 sidebar_remove_document at sidebar.c:546
 #3 remove_page at document.c:598
 #4 document_remove_page at document.c:643
 #5 document_close at document.c:571
 #6 on_close_other_documents1_activate at callbacks.c:1951
 #11 gtk_widget_activate at gtkwidget.c:5048
 #12 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #13 gtk_menu_shell_button_release at gtkmenushell.c:730

Potential duplicate: bug 872765
Comment 1 Miro Hrončok 2013-05-16 16:37:31 EDT
Created attachment 749046 [details]
File: backtrace
Comment 2 Miro Hrončok 2013-05-16 16:37:58 EDT
Created attachment 749047 [details]
File: cgroup
Comment 3 Miro Hrončok 2013-05-16 16:38:01 EDT
Created attachment 749048 [details]
File: core_backtrace
Comment 4 Miro Hrončok 2013-05-16 16:38:04 EDT
Created attachment 749049 [details]
File: dso_list
Comment 5 Miro Hrončok 2013-05-16 16:39:35 EDT
Created attachment 749050 [details]
File: environ
Comment 6 Miro Hrončok 2013-05-16 16:39:38 EDT
Created attachment 749051 [details]
File: limits
Comment 7 Miro Hrončok 2013-05-16 16:39:42 EDT
Created attachment 749052 [details]
File: maps
Comment 8 Miro Hrončok 2013-05-16 16:39:44 EDT
Created attachment 749053 [details]
File: open_fds
Comment 9 Miro Hrončok 2013-05-16 16:39:47 EDT
Created attachment 749054 [details]
File: proc_pid_status
Comment 10 Miro Hrončok 2013-05-16 16:39:49 EDT
Created attachment 749055 [details]
File: var_log_messages
Comment 11 Miro Hrončok 2013-05-16 16:39:51 EDT
Created attachment 749056 [details]
File: xsession_errors
Comment 12 Miro Hrončok 2013-05-27 12:05:01 EDT
I was closing some no longer exisitng files

backtrace_rating: 4
cmdline:        geany /home/churchyard/RepRap/objekty/koch/Koch_SnowflakeTwistRound_export.gcode
crash_function: gtk_tree_store_iter_parent
executable:     /usr/bin/geany
kernel:         3.8.11-200.fc18.x86_64
package:        geany-1.23-1.fc18
reason:         Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
uid:            1000
ureports_counter: 1
Comment 13 Fedora End Of Life 2013-12-21 08:34:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.